<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('pengajuan_dpu_dpas', function (Blueprint $table) {
            $table->id();
            $table->foreignId('mahasiswas_id')->constrained();
            $table->string('caseid')->default('-');
            $table->string('ttd_operator')->default('-');
            $table->string('ttd_dpu')->default('-');
            $table->string('ttd_dpa')->default('-');
            $table->string('ttd_kombi')->default('-');
            $table->string('bukti_transkrip_nilai');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('pengajuan_dpu_dpas');
    }
};
